package com.duolebo.blyrobot.util

import com.duolebo.appbase.prj.bmtv.protocol.IProtocolConfig

class Config: IProtocolConfig {
    val isDebug = false

    override fun getProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkInfo/query.do"
        return "http://test.duolebo.com:8091/staging/apkInfo/query.do"
    }

    override fun getTvid(): String {
        return ""
    }

    override fun getChannel(): String {
        return ""
    }


    fun getReportProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkReport/report.do"
        return "http://test.duolebo.com:8091/staging/apkReport/report.do"
    }

    fun getFtpServer(): String {
        if (isDebug)
            return "192.168.2.195"

        return "139.199.112.154"
    }

    fun getFtpUserName(): String {
        if (isDebug)
            return "mateng"

//        return "ftpclient"
        return "vsftp"
    }

    fun getFtpPassword(): String {
        if (isDebug)
            return "qwertasdfg"
//        return "dlbftp1234qwer"
        return "dlbvsftp1234rfv"
    }

    fun getFtpRemotePath(): String {
        if (isDebug)
            return "/upload"
        return "/"
    }

    companion object {
        val instance = Config()
    }

}